OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.InternalformatSampleQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVInternalformatSampleQuery :: MonadIO m => m Bool
- gl_NV_internalformat_sample_query :: Bool
- pattern GL_CONFORMANT_NV :: GLenum
- pattern GL_MULTISAMPLES_NV :: GLenum
- pattern GL_RENDERBUFFER :: GLenum
- pattern GL_SUPERSAMPLE_SCALE_X_NV :: GLenum
- pattern GL_SUPERSAMPLE_SCALE_Y_NV :: GLenum
- pattern GL_TEXTURE_2D_MULTISAMPLE :: GLenum
- pattern GL_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum
- glGetInternalformatSampleivNV :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLenum -> GLsizei -> Ptr GLint -> m ()

# Extension Support

glGetNVInternalformatSampleQuery :: MonadIO m => m Bool Source #

Is the NV_internalformat_sample_query extension supported?

gl_NV_internalformat_sample_query :: Bool Source #

Is the NV_internalformat_sample_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVInternalformatSampleQuery` in those cases instead.

# Enums

pattern GL_CONFORMANT_NV :: GLenum Source #

pattern GL_MULTISAMPLES_NV :: GLenum Source #

pattern GL_RENDERBUFFER :: GLenum Source #

pattern GL_SUPERSAMPLE_SCALE_X_NV :: GLenum Source #

pattern GL_SUPERSAMPLE_SCALE_Y_NV :: GLenum Source #

pattern GL_TEXTURE_2D_MULTISAMPLE :: GLenum Source #

pattern GL_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum Source #

# Functions

glGetInternalformatSampleivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `samples`.
-> GLenum | `pname` of type InternalFormatPName.
-> GLsizei | `count`.
-> Ptr GLint | `params` pointing to `count` elements of type `GLint`.
-> m () |